package com.ecep.contract.controller;

import org.springframework.context.ApplicationEvent;

import com.ecep.contract.vm.CurrentEmployee;

import lombok.Getter;

@Getter
public class CurrentEmployeeInitialedEvent extends ApplicationEvent {
    private final CurrentEmployee employee;

    public CurrentEmployeeInitialedEvent(CurrentEmployee employee) {
        super(employee);
        this.employee = employee;
    }

    @Override
    public CurrentEmployee getSource() {
        return employee;
    }
}